import { cryptoAeadEncrypt } from './romulus-m'

export function encrypt (message: Buffer, associatedData: Buffer, nonce: Buffer, key: Buffer): Buffer {
  const ciphertext = cryptoAeadEncrypt(Array.from(message), Array.from(associatedData), Array.from(nonce), Array.from(key))
  return Buffer.from(ciphertext)
}
